kuza

Бесплатный софт для чтения Neptune logbook

114 posts in this topic

Почти все классы уже перенесли, так что графики будут доступны.

Тестирую.

Я разжился MacBookPro. Проверял - не работает: глючит пользовательский интерфейс, причём конкретно глючит. По опыту переноса в Ubuntu сборки можно переносить из винды - я просто перетащил туда DLL с DataVisualization. Но на Маке решил переписать с нуля на Object-C.

Share this post


Link to post
Share on other sites
Я разжился MacBookPro. Проверял - не работает: глючит пользовательский интерфейс, причём конкретно глючит. По опыту переноса в Ubuntu сборки можно переносить из винды - я просто перетащил туда DLL с DataVisualization. Но на Маке решил переписать с нуля на Object-C.

У тебя какая сборка моны?

Share this post


Link to post
Share on other sites

Верися 2.10.8 - самая свежая. Только что обновил. Странно, но явная проблема с функциями BringToFront() с помощью которых у меня меняются окна с данными и графиками. Под Ubuntu таких проблем не было (хотя там были другие глюки). Короче надо переписывать, особенно если учесть, что есть смысл портировтаь и под iPad. Я примерно месяц проектом не занимался - немного не до того было. В праздники займусь.

Share this post


Link to post
Share on other sites
Верися 2.10.8 - самая свежая. Только что обновил. Странно, но явная проблема с функциями BringToFront() с помощью которых у меня меняются окна с данными и графиками. Под Ubuntu таких проблем не было (хотя там были другие глюки). Короче надо переписывать, особенно если учесть, что есть смысл портировтаь и под iPad. Я примерно месяц проектом не занимался - немного не до того было. В праздники займусь.

Я тоже. Ты в аэроград приедешь?

Я под айпад тоже начал переписывать.

Share this post


Link to post
Share on other sites

Вчера случайно нашла эту тему, скачала . Работает) Сегодня буду вникать во все возможности программы. До этого времени в N3 мало заглядывала, пищит да и ладно. Теперь живой интерес к пискле своей испытала)

Лобанов Алексей, От души благодарна Вам за труд. Спасибо преогромное )

Share this post


Link to post
Share on other sites

Камрады, у вас получилось сделать версию под iPAd?

Share this post


Link to post
Share on other sites

а под андроид будет версия?

Share this post


Link to post
Share on other sites
Ни у кого не было такой ошибки:

<19.10.2011 10:58:57>ERROR: Device detection: Не удается загрузить DLL "FTChipID.dll": Не найден указанный модуль. (Исключение из HRESULT: 0x8007007E)

у меня выскакивает. хотя наверное через два года никому не интересно :)

Share this post


Link to post
Share on other sites
Twilight_Sun, два с половиной.

Share this post


Link to post
Share on other sites

Я тоже хочу некропостнуть немного.

Пытался установить дрова в Убунте, но та сборка, что есть на офсайте, сделана под ядра 2.6.Х, а сейчас актуальны уже 3.2.0.Х. Естественно, дрова не компилятся. Есть ли какой-нибудь выход под новые Убунты? Что-то где-то подправить или может кто-нибудь собирал уже для новых ядер?

Share this post


Link to post
Share on other sites

Ehnasan, а что ты хочешь как результат? а то я уже поверх виндов7 уже вируталку с хр поставил для своих извращений, т.к. на 7рке всё плохо было. Прога данная всё равно не заработала зто под паралог иркомм2к этот поставился вроде.

а данные в итоге вычитал той прогой что в самом начале темы, она и под 7рку ок. жаль конечно что если таки обновлю прошивку нептуна так она работать с ним перестанет.

ещё там у них на сайте лежит паралог с NMU но он не той версии которой паралог на сайте паралога, а без последнего не ставится. тоже пришлось с бубном плясать чтобы просто даже поставить и запустить. хоть под 7 не рабтает. теперь вот под ХР извращаюсь... хз чем кончится.

Share this post


Link to post
Share on other sites
Я тоже хочу некропостнуть немного.

Пытался установить дрова в Убунте, но та сборка, что есть на офсайте, сделана под ядра 2.6.Х, а сейчас актуальны уже 3.2.0.Х. Естественно, дрова не компилятся. Есть ли какой-нибудь выход под новые Убунты?

Под современной убунтой должно заработать и без доп. дров. Подключить нептун, проверить появление символьного устройства /dev/ttyUSB?.

Ehnasan, а что ты хочешь как результат? а то я уже поверх виндов7 уже вируталку с хр поставил для своих извращений, т.к. на 7рке всё плохо было. Прога данная всё равно не заработала зто под паралог иркомм2к этот поставился вроде.

а данные в итоге вычитал той прогой что в самом начале темы, она и под 7рку ок. жаль конечно что если таки обновлю прошивку нептуна так она работать с ним перестанет.

ещё там у них на сайте лежит паралог с NMU но он не той версии которой паралог на сайте паралога, а без последнего не ставится. тоже пришлось с бубном плясать чтобы просто даже поставить и запустить. хоть под 7 не рабтает. теперь вот под ХР извращаюсь... хз чем кончится.

Накодил консольную утилитку (умеет только тупо выгружать логбук по протоколу 2-3 нептуна), если с прогой Лобанова не срослось - можно испробовать это: https://github.com/ffkirill/n3reader

Share this post


Link to post
Share on other sites
ещё там у них на сайте лежит паралог с NMU но он не той версии которой паралог на сайте паралога, а без последнего не ставится. тоже пришлось с бубном плясать чтобы просто даже поставить и запустить. хоть под 7 не рабтает. теперь вот под ХР извращаюсь... хз чем кончится.
Я тоже пытался поставить паралог на виртуалку, но он упорно не желает видеть жаба-машину. Инсталятор жабы пытается ее вытянуть с и-нета, но спотыкается на чем-то и не качает. Я сам все порты нужные пробросил, но безрезультатно. Инсталятор для локальной установки отработал, но программы жабу не распознают и работать отказываются. Что делать - ума не приложу.

Насчет NMU. Была у меня на одном разделе хрюшка с установленными прогами под Нептуны. В семерке NMU запустилась просто по двойному клику на екзешнике той старой установки.

А еще бесит, что новый паралог с НМУ постоянно путается в моих девайсах. В настоящий момент их у меня два и он постояннго просит что-то обновить/переустановить/перенастроить, хотя более новой версии на их сайте нет. Индусы у них там чтоль работают?

Share this post


Link to post
Share on other sites

Кому интересно, напишу, как решилась проблема. Старый Паралог 5.3.9, избавленный от жадности, я перенс на виртуалку обычным копированием всей папки. Затем установил старинную версию Жабы - jre1.6.0_04. Затем скопировал папку с JRE в папку с Паралогом, попутно переименовав её в 'jre'. Т.е. в папке с Паралогом образовалась папка 'jre' с файлами от jre1.6.0_04. Запуск Паралога - вуаля, работает!

Если кому интересно, могу выложить архив установленного Работающего (у меня) Паралога.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now